import request from '@/utils/request'
import Qs from 'qs'

export function listStore(query) {
  return request({
    method: 'get',
    params: {
      _gp: 'admin.store',
      _mt: 'list',
      ...query
    }
  })
}

export function createStore(data) {
  return request({
    method: 'post',
    data: Qs.stringify({
      _gp: 'admin.store',
      _mt: 'create',
      ...data
    })
  })
}

export function updateStore(data) {
  return request({
    method: 'post',
    data: Qs.stringify({
      _gp: 'admin.store',
      _mt: 'edit',
      ...data
    })
  })
}

export function deleteStore(id) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.store',
      _mt: 'delete',
      id: id
    }
  })
}

export function getStoreList(id) {
  return request({
    method: 'post',
    params: {
      _gp: 'admin.store',
      _mt: 'getStoreList'
    }
  })
}

